### Hierarchy

- PromisedNumericComparison
  - Eventually
  - PromisedLength

## Index

### Properties

- above
- below
- greaterThan
- gt
- gte
- least
- lessThan
- lt
- lte
- most

### Methods

- within

## Properties

### above

above: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:131

### below

below: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:136

### greaterThan

greaterThan: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:133

### gt

gt: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:132

### gte

gte: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:135

### least

least: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:134

### lessThan

lessThan: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:138

### lt

lt: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:137

### lte

lte: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:140

### most

most: PromisedNumberComparer

- Defined in node_modules/@types/chai-as-promised/index.d.ts:139

## Methods

### within

- within(start: number, finish: number, message?: undefined | string): PromisedAssertion

- - Defined in node_modules/@types/chai-as-promised/index.d.ts:141

  #### Parameters

  - ##### start: number

  - ##### finish: number

  - ##### Optional message: undefined | string

  #### Returns PromisedAssertion

Generated using TypeDoc